Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.net.cache
Class OverflowMap.ExpirableStatus

`java.lang.Object
com.tangosol.net.cache.OverflowMap.Status
com.tangosol.net.cache.OverflowMap.ExpirableStatus`

Enclosing class:
  OverflowMap

      protected static class OverflowMap.ExpirableStatus

extends OverflowMap.Status

The ExpirableStatus adds expiry to the base Status object.

Field Summary

Fields inherited from class com.tangosol.net.cache.OverflowMap.Status
`STATE_MASK_BACK, STATE_MASK_EXISTS, STATE_MASK_FRONT, STATE_MASK_INSYNC, STATE_MASK_RETAIN, STATE_MASK_STATUS, STATUS_AVAILABLE, STATUS_COMMITTING, STATUS_INVALIDATED, STATUS_PROCESSING`

Constructor Summary
`OverflowMap.ExpirableStatus()` Construct a Status object for a specific key.

Method Summary
`String` | `getDescription()` Assemble a human-readable description.
`long` | `getExpiry()` Determine the expiry for the entry represented by this Status.
`boolean` | `hasExpiry()` Determine if this Status represents an entry that will automatically expire.
`boolean` | `isExpired()` Determine if this Status represents an entry that will automatically expire.
`void` | `setExpiry(long ldtExpires)` Specify the expiry for the entry represented by this Status.

Methods inherited from class com.tangosol.net.cache.OverflowMap.Status
`closeProcessing, commitAndMaybeInvalidate, extractFlag, extractState, getBackEvent, getFrontEvent, getOwnerThread, getState, getStatus, hasEvent, isAvailable, isBackUpToDate, isCommitting, isDiscardable, isEntryExistent, isEntryInBack, isEntryInFront, isOwnedByCurrentThread, isProcessing, isValid, registerBackEvent, registerFrontEvent, setBackEvent, setBackUpToDate, setEntryInBack, setEntryInFront, setFrontEvent, setOwnerThread, setState, setStatus, takeBackEvent, takeEvent, takeFrontEvent, toString, updateFlag, updateState, waitForAvailable`

Constructor Detail

### OverflowMap.ExpirableStatus

    public OverflowMap.ExpirableStatus()

  Construct a Status object for a specific key.

Method Detail

### getExpiry

    public long getExpiry()

  Determine the expiry for the entry represented by this Status.
  Overrides:
    `getExpiry` in class `OverflowMap.Status`
  Returns:
    the expiry, or 0L if there is no expiry

### setExpiry

    public void setExpiry(long ldtExpires)

  Specify the expiry for the entry represented by this Status.
  Overrides:
    `setExpiry` in class `OverflowMap.Status`
  Parameters:
    `ldtExpires` - the expiry, or 0L if the entry should not expire

### hasExpiry

    public boolean hasExpiry()

  Determine if this Status represents an entry that will automatically expire.
  Overrides:
    `hasExpiry` in class `OverflowMap.Status`
  Returns:
    true iff the Status is for an entry that will expire

### isExpired

    public boolean isExpired()

  Determine if this Status represents an entry that will automatically expire.
  Overrides:
    `isExpired` in class `OverflowMap.Status`
  Returns:
    true iff the Status is for an entry that will expire

### getDescription

    public String getDescription()

  Assemble a human-readable description.
  Overrides:
    `getDescription` in class `OverflowMap.Status`
  Returns:
    a description of this Status object

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.